/// <reference types="ramda" />
export * from './schemas';
import { jsonSchemaFormats } from './formats';
export { formats, formatDefaults } from './formats';
export * from './objects';
export * from './allTypes';
export * from '@cypress/schema-tools';
import { PlainObject } from '@cypress/schema-tools';
export declare const api: {
    assertSchema: (name: string, version: string, options?: Partial<{
        greedy: boolean;
        substitutions: string[];
        omit: Partial<{
            errors: boolean;
            object: boolean;
            example: boolean;
        }>;
    }> | undefined) => (object: PlainObject) => PlainObject;
    schemaNames: string[];
    getExample: import("ramda").CurriedFunction2<string, string, PlainObject | undefined>;
    sanitize: (name: string, version: string) => (object: PlainObject) => PlainObject;
    validate: (schemaName: string, version: string) => (object: object) => true | string[];
    trim: import("ramda").CurriedFunction3<string, string, PlainObject, PlainObject>;
    hasSchema: import("ramda").CurriedFunction2<string, string, boolean>;
    fill: import("ramda").CurriedFunction3<string, string, object, PlainObject>;
};
export { jsonSchemaFormats };
