"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemas = void 0;
var schema_tools_1 = require("@cypress/schema-tools");
var ci_1 = require("./ci");
var commit_1 = require("./commit");
var get_instance_response_1 = require("./get-instance-response");
var get_run_response_1 = require("./get-run-response");
var instance_1 = require("./instance");
var platform_1 = require("./platform");
var post_run_instance_request_1 = require("./post-run-instance-request");
var post_run_instance_response_1 = require("./post-run-instance-response");
var post_run_request_1 = require("./post-run-request");
var post_run_response_1 = require("./post-run-response");
var post_instance_tests_1 = require("./post-instance-tests");
var post_instance_results_1 = require("./post-instance-results");
var put_instance_request_1 = require("./put-instance-request");
var put_instance_response_1 = require("./put-instance-response");
var put_instance_stdout_request_1 = require("./put-instance-stdout-request");
var screenshot_1 = require("./screenshot");
var screenshot_upload_url_1 = require("./screenshot-upload-url");
var test_1 = require("./test");
var test_runner_ci_1 = require("./test-runner-ci");
var test_runner_commit_1 = require("./test-runner-commit");
var test_runner_cypress_stats_1 = require("./test-runner-cypress-stats");
var test_runner_hook_1 = require("./test-runner-hook");
var test_runner_mocha_reporter_stats_1 = require("./test-runner-mocha-reporter-stats");
var test_runner_platform_1 = require("./test-runner-platform");
var test_runner_screenshot_1 = require("./test-runner-screenshot");
var test_runner_test_1 = require("./test-runner-test");
var test_runner_test_info_1 = require("./test-runner-test-info");
var test_runner_test_result_1 = require("./test-runner-test-result");
var video_1 = require("./video");
var warning_1 = require("./warning");
exports.schemas = schema_tools_1.combineSchemas(ci_1.Ci, commit_1.Commit, get_instance_response_1.GetInstanceResponse, get_run_response_1.GetRunResponse, instance_1.Instance, platform_1.Platform, post_run_instance_request_1.PostRunInstanceRequest, post_run_request_1.RunnerCapabilities, post_run_instance_response_1.PostRunInstanceResponse, post_run_request_1.PostRunRequest, post_run_response_1.PostRunResponse, post_instance_tests_1.PostInstanceTestsRequest, post_instance_tests_1.PostInstanceTestsResponse, post_instance_results_1.PostInstanceResultsRequest, post_instance_tests_1.TestAction, post_instance_results_1.PostInstanceResultsResponse, put_instance_request_1.PutInstanceRequest, put_instance_response_1.PutInstanceResponse, put_instance_stdout_request_1.PutInstanceStdoutRequest, screenshot_1.Screenshot, screenshot_upload_url_1.ScreenshotUploadUrl, test_1.Test, test_runner_ci_1.TestRunnerCi, test_runner_commit_1.TestRunnerCommit, test_runner_cypress_stats_1.TestRunnerCypressStats, test_runner_hook_1.TestRunnerHook, test_runner_mocha_reporter_stats_1.TestRunnerMochaReporterStats, test_runner_platform_1.TestRunnerPlatform, test_runner_screenshot_1.TestRunnerScreenshot, test_runner_test_1.TestRunnerTest, test_runner_test_1.TestRunnerTestAttempt, test_runner_test_info_1.TestRunnerTestInfo, test_runner_test_result_1.TestRunnerTestResult, video_1.Video, warning_1.Warning);
