"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostInstanceResultsResponse = exports.postInstanceResultsResponse100 = exports.PostInstanceResultsRequest = exports.postInstanceResultsRequest110 = exports.postInstanceResultsRequest100 = void 0;
var lodash_1 = __importDefault(require("lodash"));
var schema_tools_1 = require("@cypress/schema-tools");
var util_1 = require("../util");
var put_instance_request_1 = require("./put-instance-request");
var put_instance_response_1 = require("./put-instance-response");
var test_runner_test_result_1 = require("./test-runner-test-result");
var postInstanceResultsRequest100Example = __assign(__assign({}, lodash_1.default.pick(put_instance_request_1.example300, 'reporterStats', 'stats', 'video', 'screenshots')), { exception: put_instance_request_1.example300.error, tests: [test_runner_test_result_1.testRunnerTestResult100Example] });
exports.postInstanceResultsRequest100 = util_1.objSchema({
    version: { major: 1, minor: 0, patch: 0 },
    schema: {
        title: 'PostInstanceResultsRequest',
        type: 'object',
        description: 'Sent tests results (replaces PutInstanceRequest).',
        required: [],
        additionalProperties: false,
        properties: __assign(__assign({}, lodash_1.default.pick(put_instance_request_1.PutInstanceRequest300.schema.properties, 'reporterStats', 'stats', 'video', 'screenshots')), { exception: put_instance_request_1.PutInstanceRequest300.schema.properties.error, tests: {
                type: ['array', 'null'],
                items: __assign({}, test_runner_test_result_1.testRunnerTestResult100.schema),
                see: test_runner_test_result_1.testRunnerTestResult100,
            } }),
    },
    example: postInstanceResultsRequest100Example,
});
var postInstanceResultsRequest110Example = __assign(__assign({}, postInstanceResultsRequest100Example), { metadata: {
        studioCreated: 1,
        studioExtended: 2,
    } });
exports.postInstanceResultsRequest110 = util_1.objSchema({
    version: { major: 1, minor: 1, patch: 0 },
    schema: __assign(__assign({}, exports.postInstanceResultsRequest100.schema), { properties: __assign(__assign({}, exports.postInstanceResultsRequest100.schema.properties), { metadata: {
                type: ['object', 'null'],
                description: 'Spec metadata',
                properties: {
                    studioCreated: {
                        type: ['integer', 'null'],
                        description: 'Number of tests created with Studio',
                    },
                    studioExtended: {
                        type: ['integer', 'null'],
                        description: 'Number of tests extended with Studio',
                    },
                },
            } }) }),
    example: postInstanceResultsRequest110Example,
});
exports.PostInstanceResultsRequest = schema_tools_1.versionSchemas(exports.postInstanceResultsRequest100, exports.postInstanceResultsRequest110);
var postInstanceResultsResponse100Example = __assign({}, put_instance_response_1.example200);
exports.postInstanceResultsResponse100 = util_1.objSchema({
    version: { major: 1, minor: 0, patch: 0 },
    schema: {
        title: 'PostInstanceResultsResponse',
        type: 'object',
        description: 'replacement for putInstanceResponse. Should match putInstanceResponse@2.0.0',
        required: put_instance_response_1.PutInstanceResponse200.schema.required,
        additionalProperties: true,
        properties: __assign({}, put_instance_response_1.PutInstanceResponse200.schema.properties),
    },
    example: postInstanceResultsResponse100Example,
});
exports.PostInstanceResultsResponse = schema_tools_1.versionSchemas(exports.postInstanceResultsResponse100);
