import { PlainObject, ObjectSchema } from '@cypress/schema-tools';
import { TestRunnerHookExample200 } from './test-runner-hook';
import { TestRunnerTestInfo100Example } from './test-runner-test-info';
export declare type PostInstanceTestsRequestExample100 = {
    config: PlainObject;
    tests: TestRunnerTestInfo100Example[];
    hooks: TestRunnerHookExample200[];
};
export declare const PostInstanceTestsRequest100: ObjectSchema;
export declare const PostInstanceTestsRequest: import("@cypress/schema-tools").VersionedSchema;
export declare type TestActionExample100 = {
    clientId: string | null;
    type: string;
    action: string;
    payload: PlainObject | null;
};
export declare type PostInstanceTestsResponseExample100 = {
    spec: string | null;
    instanceId: string | null;
    totalInstances: number;
    claimedInstances: number;
    estimatedWallClockDuration: number | null;
    actions: TestActionExample100[] | null;
};
export declare const PostInstanceTestsResponse100: ObjectSchema;
export declare const PostInstanceTestsResponse: import("@cypress/schema-tools").VersionedSchema;
export declare const TestAction: import("@cypress/schema-tools").VersionedSchema;
