import { ObjectSchema } from '@cypress/schema-tools';
import { uri } from '../objects';
import { ScreenshotUploadUrlExample100, ScreenshotUploadUrlExample200 } from './screenshot-upload-url';
export declare type PutInstanceResponseExample100 = {
    videoUploadUrl?: uri;
    screenshotUploadUrls: ScreenshotUploadUrlExample100[];
};
export declare const PutInstanceResponse100: ObjectSchema;
export declare type PutInstanceResponseExample200 = {
    videoUploadUrl?: uri;
    screenshotUploadUrls: ScreenshotUploadUrlExample200[];
};
export declare const example200: PutInstanceResponseExample200;
export declare const PutInstanceResponse200: {
    version: {
        major: number;
        minor: number;
        patch: number;
    };
    schema: {
        title: string;
        type: "object";
        properties: {
            videoUploadUrl: {
                type: "string";
                format: string;
            };
            screenshotUploadUrls: {
                type: "array";
                see: ObjectSchema;
                items: {
                    title: string;
                    type: "object";
                    description?: string | undefined;
                    properties?: import("@cypress/schema-tools").JsonProperties | undefined;
                    patternProperties?: object | undefined;
                    required?: true | string[] | undefined;
                    additionalProperties: boolean;
                    deprecated?: string | undefined;
                };
            };
        };
        required: string[];
        additionalProperties: false;
    };
    example: PutInstanceResponseExample200;
};
export declare const PutInstanceResponse: import("@cypress/schema-tools").VersionedSchema;
