import { ObjectSchema } from '@cypress/schema-tools';
import { ISODateString, pixels, testId } from '../objects';
export declare type TestRunnerScreenshotExample100 = {
    clientId: string;
    testId?: string | null;
    testTitle: string;
    title: string | null;
    height: pixels;
    width: pixels;
};
export declare const testRunnerScreenshotExample100: TestRunnerScreenshotExample100;
export declare const TestRunnerScreenshot100: ObjectSchema;
export declare type TestRunnerScreenshotExample200 = {
    screenshotId: string;
    testId: testId;
    name: string | null;
    height: pixels;
    width: pixels;
    takenAt: ISODateString;
};
export declare const testRunnerScreenshotExample200: TestRunnerScreenshotExample200;
export declare const TestRunnerScreenshot200: ObjectSchema;
export declare type TestRunnerScreenshotExample210 = {
    screenshotId: string;
    testId: testId;
    name: string | null;
    height: pixels;
    width: pixels;
    takenAt: ISODateString;
    testAttemptIndex: number;
};
export declare const testRunnerScreenshotExample210: TestRunnerScreenshotExample210;
export declare const TestRunnerScreenshot210: ObjectSchema;
export declare const TestRunnerScreenshot: import("@cypress/schema-tools").VersionedSchema;
