import { PlainObject } from '@cypress/schema-tools';
import { hookId } from '../objects';
export declare type TestRunnerTestInfo100Example = {
    body: string | null;
    title: string[];
    clientId: string;
    config: PlainObject;
    hookIds: hookId[];
};
export declare const TestRunnerTestInfoExample100: TestRunnerTestInfo100Example;
export declare const TestRunnerTestInfo100: {
    version: {
        major: number;
        minor: number;
        patch: number;
    };
    schema: {
        title: string;
        description: string;
        type: "object";
        properties: any;
        required: true;
        additionalProperties: false;
    };
    example: TestRunnerTestInfo100Example;
};
export declare const TestRunnerTestInfo: import("@cypress/schema-tools").VersionedSchema;
