"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestRunnerTestInfo = exports.TestRunnerTestInfo100 = exports.TestRunnerTestInfoExample100 = void 0;
var schema_tools_1 = require("@cypress/schema-tools");
var lodash_1 = __importDefault(require("lodash"));
var util_1 = require("../util");
var test_runner_test_1 = require("./test-runner-test");
exports.TestRunnerTestInfoExample100 = __assign(__assign({}, lodash_1.default.pick(test_runner_test_1.testRunnerTestExample100, 'body', 'title')), { clientId: test_runner_test_1.testRunnerTestExample100.testId, config: {
        settingA: 'A',
        settingB: 'B',
        settingC: 'C',
        reporter: 'spec',
    }, hookIds: ['h1', 'h2', 'h3'] });
exports.TestRunnerTestInfo100 = util_1.objSchema({
    version: {
        major: 1,
        minor: 0,
        patch: 0,
    },
    schema: {
        title: 'testRunner.test.info',
        description: 'Test information uploaded by the test runner before a test has executed',
        type: 'object',
        properties: __assign(__assign({}, lodash_1.default.pick(test_runner_test_1.CommonTestPropertiesV1, 'body', 'title')), { clientId: test_runner_test_1.CommonTestPropertiesV1.testId, config: {
                type: ['object', 'null'],
                description: 'Cypress config object for this particular test',
            }, hookIds: {
                type: ['array'],
                items: {
                    type: 'string',
                },
                description: 'Array of hookIds that apply to this test case. (in order of execution)',
            } }),
        required: true,
        additionalProperties: false,
    },
    example: exports.TestRunnerTestInfoExample100,
});
exports.TestRunnerTestInfo = schema_tools_1.versionSchemas(exports.TestRunnerTestInfo100);
