"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestRunnerTestResult = exports.testRunnerTestResult100 = exports.testRunnerTestResult100Example = void 0;
var lodash_1 = __importDefault(require("lodash"));
var schema_tools_1 = require("@cypress/schema-tools");
var util_1 = require("../util");
var test_runner_test_1 = require("./test-runner-test");
exports.testRunnerTestResult100Example = __assign(__assign({}, lodash_1.default.pick(test_runner_test_1.testRunnerTestExample200, 'state', 'displayError', 'attempts')), { clientId: test_runner_test_1.testRunnerTestExample200.testId });
exports.testRunnerTestResult100 = util_1.objSchema({
    version: {
        major: 1,
        minor: 0,
        patch: 0,
    },
    schema: {
        title: 'testRunner.test.result',
        description: 'Test result uploaded by the test runner after a test has executed',
        type: 'object',
        required: true,
        additionalProperties: false,
        properties: __assign(__assign({}, lodash_1.default.pick(test_runner_test_1.TestRunnerTest200.schema.properties, 'state', 'displayError', 'attempts')), { clientId: test_runner_test_1.TestRunnerTest200.schema.properties.testId }),
    },
    example: exports.testRunnerTestResult100Example,
});
exports.TestRunnerTestResult = schema_tools_1.versionSchemas(exports.testRunnerTestResult100);
