"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.warningExample100 = exports.Warning100 = exports.Warning = void 0;
var schema_tools_1 = require("@cypress/schema-tools");
var warningExample100 = {
    code: 'OUT_OF_TIME',
    name: 'OutOfTime',
    message: 'You are almost out of time',
    hadTime: 1000,
    spentTime: 999,
};
exports.warningExample100 = warningExample100;
var Warning100 = {
    version: {
        major: 1,
        minor: 0,
        patch: 0,
    },
    schema: {
        title: 'Warning',
        type: 'object',
        description: 'Warning about something',
        properties: {
            code: {
                type: 'string',
                description: 'Internal warning code',
            },
            name: {
                type: 'string',
                description: 'User-friendly warning name',
            },
            message: {
                type: 'string',
                description: 'User-friendly text message',
            },
        },
        required: true,
        additionalProperties: true,
    },
    example: warningExample100,
};
exports.Warning100 = Warning100;
var Warning = schema_tools_1.versionSchemas(Warning100);
exports.Warning = Warning;
