export declare type commitSha = string;
export declare type ISODateString = string;
export declare type testId = string;
export declare type hookId = string;
export declare type UTCSeconds = number;
export declare type uuid = string;
export declare type email = string;
export declare type pixels = number;
export declare type osName = 'linux' | 'darwin' | 'win32';
export declare type osMemory = {
    free: number;
    total: number;
};
export declare type osCpu = {
    model: string;
    speed: number;
    times: {
        idle: number;
        irq: number;
        nice: number;
        sys: number;
        user: number;
    };
};
export declare type projectId = string;
export declare type projectStatus = string;
export declare type uri = string;
export declare type cents = number;
export declare type milliseconds = number;
export declare type testState = 'passed' | 'pending' | 'skipped' | 'failed' | 'errored' | 'running';
export declare type instanceStatus = 'unclaimed' | 'running' | 'errored' | 'failed' | 'timedOut' | 'passed' | 'noTests' | 'cancelled';
export declare type runStatus = 'running' | 'errored' | 'failed' | 'timedOut' | 'noTests' | 'passed' | 'overLimit' | 'cancelled';
export declare type SemanticVersion = string;
