import { ObjectSchema } from '@cypress/schema-tools';
import { uri } from '../objects';
export declare type CiExample100 = {
    url: string | null;
    provider: string | null;
    buildNumber: string | null;
};
declare const ciExample100: CiExample100;
declare const Ci100: ObjectSchema;
export declare type CiExample110 = CiExample100 & {
    pullRequestId: string | null;
    pullRequestUrl: uri | null;
};
declare const ciExample110: CiExample110;
declare const Ci110: ObjectSchema;
declare const Ci: import("@cypress/schema-tools").VersionedSchema;
export { Ci, Ci100, Ci110, ciExample100, ciExample110 };
