"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PutInstanceStdoutRequest = exports.PutInstanceStdoutRequest100 = exports.putInstanceStdoutRequestExample100 = void 0;
var schema_tools_1 = require("@cypress/schema-tools");
exports.putInstanceStdoutRequestExample100 = {
    stdout: 'something from the test runner',
};
exports.PutInstanceStdoutRequest100 = {
    version: {
        major: 1,
        minor: 0,
        patch: 0,
    },
    schema: {
        title: 'PutInstanceStdoutRequest',
        type: 'object',
        description: 'Single test runner stdout put request',
        properties: {
            stdout: {
                type: ['string', 'null'],
                description: 'Standard output from the test runner',
            },
        },
        required: true,
        additionalProperties: false,
    },
    example: exports.putInstanceStdoutRequestExample100,
};
exports.PutInstanceStdoutRequest = schema_tools_1.versionSchemas(exports.PutInstanceStdoutRequest100);
