import { ObjectSchema } from '@cypress/schema-tools';
import { ISODateString, pixels, uri, uuid } from '../objects';
export declare type ScreenshotExample100 = {
    height: pixels;
    id: uuid;
    instanceId: uuid;
    testId: uuid | null;
    testTitle: string[];
    name: string | null;
    url: uri;
    width: pixels;
    takenAt: ISODateString;
};
export declare type ScreenshotExample110 = ScreenshotExample100 & {
    testAttemptIndex: number | null;
};
export declare const screenshotExample100: ScreenshotExample100;
export declare const screenshotExample110: ScreenshotExample110;
export declare const Screenshot100: ObjectSchema;
export declare const Screenshot110: ObjectSchema;
export declare const Screenshot: import("@cypress/schema-tools").VersionedSchema;
