import { ObjectSchema } from '@cypress/schema-tools';
import { commitSha, email, uri } from '../objects';
export declare type TestRunnerCommitExample100 = {
    authorEmail: email | null;
    authorName: string | null;
    branch: string | null;
    message: string | null;
    sha: commitSha | null;
    remoteOrigin: uri | null;
};
declare const testRunnerCommitExample100: TestRunnerCommitExample100;
declare const TestRunnerCommit100: ObjectSchema;
export declare type TestRunnerCommitExample110 = TestRunnerCommitExample100 & {
    defaultBranch: string | null;
};
declare const testRunnerCommitExample110: TestRunnerCommitExample110;
declare const TestRunnerCommit110: ObjectSchema;
declare const TestRunnerCommit: import("@cypress/schema-tools").VersionedSchema;
export { TestRunnerCommit, TestRunnerCommit100, TestRunnerCommit110, testRunnerCommitExample100, testRunnerCommitExample110, };
