import { ObjectSchema, PlainObject } from '@cypress/schema-tools';
import { ISODateString, hookId, milliseconds, testId, testState, uuid } from '../objects';
export declare type TestExample100 = {
    id: uuid;
    instanceId: uuid;
    state: testState;
    testId?: testId;
    title: string[];
    body?: string;
    stack?: string | null;
    error?: string | null;
    timings?: PlainObject;
    failedFromHookId?: hookId | null;
    wallClockStartedAt?: ISODateString | null;
    wallClockDuration?: milliseconds | null;
    videoTimestamp?: milliseconds | null;
};
export declare const testExample100: TestExample100;
export declare const Test100: ObjectSchema;
export declare const Test: import("@cypress/schema-tools").VersionedSchema;
